# encoding: UTF-8
# frozen_string_literal: true

module Geos
  class MultiLineString < GeometryCollection
    def to_geojsonable(options = {})
      {
        :type => 'MultiLineString',
        :coordinates => self.to_a.collect { |linestring|
          linestring.coord_seq.to_a
        }
      }
    end
    alias_method :as_geojson, :to_geojsonable
  end
end

